claw::dynamic_library Class Reference

A class to use dynamic libraries. More...

`#include <dynamic_library.hpp>`

## Public Member Functions

| dynamic_library (const std::string &name, bool current_program=false)
| Constructor.
| ~dynamic_library ()
| Destructor (close the library).
bool | have_symbol (const std::string &name) const
| Tell if the library has a symbol.
template<class T>
T | get_symbol (const std::string &name) const

## Detailed Description

A class to use dynamic libraries.

Author
  Julien Jorge

Definition at line 41 of file dynamic_library.hpp.

## Constructor & Destructor Documentation

## dynamic_library()

claw::dynamic_library::dynamic_library | ( | const std::string & | name,
|  | bool | current_program = false )

Constructor.

Parameters

  name | Name of the library to load.
  current_program | Tell if the name parameter is the current program.

Definition at line 39 of file dynamic_library.cpp.

References claw::dynamic_library_traits_unix::auto_open(), claw::dynamic_library_traits_unix::open(), and claw::dynamic_library_traits_unix::valid_handle().

## ~dynamic_library()

claw::dynamic_library::~dynamic_library | ( |  | ) |

Destructor (close the library).

Definition at line 55 of file dynamic_library.cpp.

References claw::dynamic_library_traits_unix::close().

## Member Function Documentation

## have_symbol()

bool claw::dynamic_library::have_symbol | ( | const std::string & | name | ) | const

Tell if the library has a symbol.

Parameters

  name | The symbol to find.

Definition at line 65 of file dynamic_library.cpp.

References claw::dynamic_library_traits_unix::have_symbol().

The documentation for this class was generated from the following files:

- dynamic_library.hpp
- code/dynamic_library.cpp